Bug 435642 - ConsoleKit should be restarted after being updated
Summary: ConsoleKit should be restarted after being updated
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: ConsoleKit   
(Show other bugs)
Version: 8
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: jmccann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 435641
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-03-02 21:45 UTC by Nils Philippsen
Modified: 2015-01-14 23:20 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-03 02:08:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nils Philippsen 2008-03-02 21:45:32 UTC
Description of problem:
When updated, the ConsoleKit daemon isn't restarted, i.e. bugfixes aren't active
after the update but would require manual restarting (which loses sessions, see
bug #435641) or a reboot (bad).

Version-Release number of selected component (if applicable):
ConsoleKit-0.2.3-3.fc8.1

How reproducible:
Reproducible

Steps to Reproduce:
1. Update ConsoleKit
  
Actual results:
Old version is running

Expected results:
New version is running

Additional info:

Comment 1 David Zeuthen 2008-03-03 02:08:13 UTC
No, for exactly the same reasons we don't restart the system bus daemon or X or
the kernel. See lots of discussion on the dbus-list.

Comment 2 Lubomir Kundrak 2008-03-18 15:09:49 UTC
Acutally, we do restart kernel. Metadata in our repositories can hold an
information if an update requires reboot; the same applies to ConsoleKit.

Comment 3 David Zeuthen 2008-03-18 15:42:15 UTC
(In reply to comment #2)
> Acutally, we do restart kernel. Metadata in our repositories can hold an
> information if an update requires reboot; the same applies to ConsoleKit.

Uhm.. No, we don't restart the kernel (as in kexec'ing into the new kernel
keeping user space alive and well). You're thinking about rebooting the system.
Which is wildly different.


Comment 4 Nils Philippsen 2008-03-18 17:19:30 UTC
(In reply to comment #3)
> (In reply to comment #2)
> > Acutally, we do restart kernel. Metadata in our repositories can hold an
> > information if an update requires reboot; the same applies to ConsoleKit.
> 
> Uhm.. No, we don't restart the kernel (as in kexec'ing into the new kernel
> keeping user space alive and well). You're thinking about rebooting the system.
> Which is wildly different.

Well, rebooting the system could be interpreted as "restarting the kernel" but
that isn't done in all cases either (pup asks the user in that case and only
reboots if it is confirmed). Marking a ConsoleKit update to suggest rebooting
might be the way to go for now.

Without actually checking it, I still think that exec'ing a new ConsoleKit
binary while keeping sessions persistent is several orders of magnitude easier
than switching the kernel image and keeping the userspace alive and well.

I know it's not really on your todo list ;-), but if (big if) I found the time
to implement it, would you accept patches to ConsoleKit that implemented
exec'ing a new binary while keeping existing sessions, if done properly?

Comment 5 David Zeuthen 2008-03-18 17:45:50 UTC
(In reply to comment #4)
> I know it's not really on your todo list ;-), but if (big if) I found the time
> to implement it, would you accept patches to ConsoleKit that implemented
> exec'ing a new binary while keeping existing sessions, if done properly?

That's up to Jon, he's both the package and upstream maintainer.


Note You need to log in before you can comment on or make changes to this bug.